#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Shared;
using Syncfusion.Windows.Controls.Grid;
using System.IO;
using Syncfusion.Windows.Controls.Grid.Converter;
using Syncfusion.XlsIO;


namespace ComboBoxCellEditorsDemo
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class MainWindow : ChromelessWindow
    {

        public MainWindow()
        {
            InitializeComponent();
            dataGrid.Model.QueryCellInfo += Model_QueryCellInfo;
            dataGrid.ShowFilters = true;
        }

        private void Model_QueryCellInfo(object sender, GridQueryCellInfoEventArgs e)
        {
            var identity = ((GridDataStyleInfo) e.Style).CellIdentity;
            if (identity?.Column == null)
                return;
            if (identity.TableCellType == GridDataTableCellType.RecordCell)
            {
                e.Style.ShowTooltip =
                    true; // If we set true alone like this by default the tooltip will show the cell values.
                if (e.Style.CellType == "ComboBox")
                {
                    e.Style.ToolTip =
                        e.Style.Text; // Set the tooltip value as Text so that DisplayMember's string will be shown in tooltip.
                }
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            dataGrid.ExportToExcel("Sample.xlsx", ExcelVersion.Excel2007, exportingHandler);
        }

        private void exportingHandler(object sender, ExportingToExcelEventArgs e)
        {
            if (e.Style.CellType == "ComboBox")
            {
                var cellValue = e.Style.CellValue;
            }
        }
    }
}
